package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItembuygiftDeleteactivityRequest struct {
	/*
	   要删除的活动信息     */
	Param *domain.AlibabaHmMarketingItembuygiftDeleteactivityCommonActivityParam `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItembuygiftDeleteactivityRequest) SetParam(v domain.AlibabaHmMarketingItembuygiftDeleteactivityCommonActivityParam) *AlibabaHmMarketingItembuygiftDeleteactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItembuygiftDeleteactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItembuygiftDeleteactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
